#DansGuardian config file

[Reporting]
reportinglevel = 1 #  0 = just say 'Access Denied'
                   #  1 = report why but not what denied phrase
                   #  2 = report fully

[Network Settings]
filterport = 8080   # the port that DansGuardian listens to
proxyip = 127.0.0.1 # loop back address to access squid locally
proxyport = 3128    # the port DansGuardian connects to squid on
accessdeniedaddress = "http://home.wernig.net/cgi-bin/dansguardian.pl"

[Logging] # 0 = none  1 = just denied  2 = all text based  3 = all requests
loglevel = 2

[Content Filtering]
bannedphraselist = "/etc/dansguardian/bannedphraselist"
bannedextensionlist = "/etc/dansguardian/bannedextensionlist"
bannedmimetypelist = "/etc/dansguardian/bannedmimetypelist"
exceptionsitelist = "/etc/dansguardian/exceptionsitelist"
exceptioniplist = "/etc/dansguardian/exceptioniplist"

[Phrase Scanning] # 0 = normal  1 = inteligent
scanningmode = 1
# normal does a phrase check on the raw HTML
# inteligent does a normal check as well as removing HTML tags and
#  multiple blank spaces, tabs, etc - then does 2nd check



[PICS Ratings ICRA] # new version of RSAC 0 = none  1 = some
chat = 0
moderatedchat = 0
languagesexual = 0
languageprofanity = 0
languagemildexpletives = 0
nuditygraphic = 0
nuditymalegraphic = 0
nudityfemalegraphic = 0
nuditytopless = 0
nuditybottoms = 0
nuditysexualacts = 0
nudityobscuredsexualacts = 0
nuditysexualtouching = 0
nuditykissing = 0
nudityartistic = 0
nudityeducational = 0
nuditymedical = 0
drugstobacco = 0
drugsalcohol = 0
drugsuse = 0
gambling = 0
weaponuse = 0
intolerance = 0
badexample = 0
pgmaterial = 0
violencerape = 0
violencetohumans = 0
violencetoanimals = 0
violencetofantasy = 0
violencekillinghumans = 0
violencekillinganimals = 0
violencekillingfantasy = 0
violenceinjuryhumans = 0
violenceinjuryanimals = 0
violenceinjuryfantasy = 0
violenceartisitic = 0
violenceeducational = 0
violencemedical = 0
violencesports = 0

[PICS Ratings RSAC] # 0 = none  2 = default  4 = wanton and gratuitous
violence = 0
sex = 0
nudity = 0
language = 0

[PICS Ratings evaluWEB] # 0 = U  1 = PG  2 = 18
rating = 0

[PICS Ratings CyberNOT] # 0 = none  8 = lots
sex = 0
other = 0

[PICS Ratings SafeSurf]  # 0 = full filtering  9 = wanton and gratuitous
agerange = 1  # 1 = All ages  3 = early teens  9 = explicitly for adults
profanity = 0
heterosexualthemes = 0
homosexualthemes = 0
nudity = 0
violence = 0
sexviolenceandprofanity = 0
intolerance = 0
druguse = 0
otheradultthemes = 0
gambling = 0

[PICS Ratings Weburbia]  # 0 = U  1 = PG  2 = 18
rating = 0
